<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.esma.europa.eu/xbrl/role/cor/esef_role-999999" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd#esef_role-999999" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://warehousereitplc.com/xbrl/2022/roles/Anchoring" xlink:href="warehousereitplc-2023-03-31.xsd#Anchoring" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://warehousereitplc.com/xbrl/2022/roles/StatementOfChangesInEquity" xlink:href="warehousereitplc-2023-03-31.xsd#StatementOfChangesInEquity" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" xlink:href="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd#wider-narrower" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <definitionLink xlink:role="http://www.esma.europa.eu/xbrl/role/cor/esef_role-999999" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DomicileOfEntity" xlink:label="ifrs-full_DomicileOfEntity" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" xlink:label="warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyServiceChargeExpense" xlink:label="ifrs-full_PropertyServiceChargeExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="ifrs-full_CurrentDerivativeFinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:label="ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_StatementOfIFRSCompliance" xlink:label="ifrs-full_StatementOfIFRSCompliance" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory" xlink:label="ifrs-full_DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDeferredIncomeOtherThanCurrentContractLiabilities" xlink:label="ifrs-full_CurrentDeferredIncomeOtherThanCurrentContractLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" xlink:label="ifrs-full_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfDerivativeFinancialInstrumentsExplanatory" xlink:label="ifrs-full_DisclosureOfDerivativeFinancialInstrumentsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfFairValueOfFinancialInstrumentsExplanatory" xlink:label="ifrs-full_DisclosureOfFairValueOfFinancialInstrumentsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfFinanceCostExplanatory" xlink:label="ifrs-full_DisclosureOfFinanceCostExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfInformationAboutKeyManagementPersonnelExplanatory" xlink:label="ifrs-full_DisclosureOfInformationAboutKeyManagementPersonnelExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfDeferredIncomeExplanatory" xlink:label="ifrs-full_DisclosureOfDeferredIncomeExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory" xlink:label="ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory" xlink:label="ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" xlink:label="ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:label="ifrs-full_NoncurrentDerivativeFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromSalesOfInvestmentProperty" xlink:label="ifrs-full_ProceedsFromSalesOfInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_NetPropertyIncome" xlink:label="warehousereitplc_NetPropertyIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfRelatedPartyExplanatory" xlink:label="ifrs-full_DisclosureOfRelatedPartyExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForInvestmentPropertyExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForInvestmentPropertyExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForDividendsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForDividendsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory" xlink:label="ifrs-full_DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory" xlink:label="ifrs-full_DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DescriptionOfAccountingPolicyForPropertyIncome" xlink:label="warehousereitplc_DescriptionOfAccountingPolicyForPropertyIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:label="ifrs-full_BasicEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_OperatingProfitBeforeLossesGainsOnInvestmentProperties" xlink:label="warehousereitplc_OperatingProfitBeforeLossesGainsOnInvestmentProperties" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AddressOfRegisteredOfficeOfEntity" xlink:label="ifrs-full_AddressOfRegisteredOfficeOfEntity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsForDebtIssueCosts" xlink:label="ifrs-full_PaymentsForDebtIssueCosts" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" xlink:label="warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_PropertyOperatingExpenses" xlink:label="warehousereitplc_PropertyOperatingExpenses" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory" xlink:label="ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFinanceCostsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFinanceCostsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForBorrowingsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForBorrowingsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfInvestmentPropertyExplanatory" xlink:label="ifrs-full_DisclosureOfInvestmentPropertyExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForSegmentReportingExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForSegmentReportingExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfEarningsPerShareExplanatory" xlink:label="ifrs-full_DisclosureOfEarningsPerShareExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfExpensesExplanatory" xlink:label="ifrs-full_DisclosureOfExpensesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_NetAssetValuePerShareBasicAndDiluted" xlink:label="warehousereitplc_NetAssetValuePerShareBasicAndDiluted" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfNotesAndOtherExplanatoryInformationExplanatory" xlink:label="ifrs-full_DisclosureOfNotesAndOtherExplanatoryInformationExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfInvestmentProperty" xlink:label="ifrs-full_PurchaseOfInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyServiceChargeIncome" xlink:label="ifrs-full_PropertyServiceChargeIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" xlink:label="ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfFinancialRiskManagementExplanatory" xlink:label="ifrs-full_DisclosureOfFinancialRiskManagementExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" xlink:label="ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd#esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:label="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfBorrowingsExplanatory" xlink:label="ifrs-full_DisclosureOfBorrowingsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" xlink:label="ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" xlink:label="warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" xlink:label="ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:label="warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:label="warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DisclosureOfPropertyIncome" xlink:label="warehousereitplc_DisclosureOfPropertyIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfFinanceIncomeExplanatory" xlink:label="ifrs-full_DisclosureOfFinanceIncomeExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfFairValueMeasurementExplanatory" xlink:label="ifrs-full_DisclosureOfFairValueMeasurementExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfIssuedCapitalExplanatory" xlink:label="ifrs-full_DisclosureOfIssuedCapitalExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentPayables" xlink:label="ifrs-full_NoncurrentPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DisclosureOfInterestRateRisk" xlink:label="warehousereitplc_DisclosureOfInterestRateRisk" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" xlink:label="ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" xlink:label="ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfBasisOfConsolidationExplanatory" xlink:label="ifrs-full_DisclosureOfBasisOfConsolidationExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfLeasesExplanatory" xlink:label="ifrs-full_DisclosureOfLeasesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DisclosureOfUltimateControllingParty" xlink:label="warehousereitplc_DisclosureOfUltimateControllingParty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfMarketRiskExplanatory" xlink:label="ifrs-full_DisclosureOfMarketRiskExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfCashFlowStatementExplanatory" xlink:label="ifrs-full_DisclosureOfCashFlowStatementExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfNetAssetValueAttributableToUnitholdersExplanatory" xlink:label="ifrs-full_DisclosureOfNetAssetValueAttributableToUnitholdersExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForSubsidiariesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForSubsidiariesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfLiquidityRiskExplanatory" xlink:label="ifrs-full_DisclosureOfLiquidityRiskExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory" xlink:label="ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentProperty" xlink:label="ifrs-full_InvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RentalIncome" xlink:label="ifrs-full_RentalIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfAuditorsRemunerationExplanatory" xlink:label="ifrs-full_DisclosureOfAuditorsRemunerationExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForExpensesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForExpensesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:label="ifrs-full_DilutedEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory" xlink:label="ifrs-full_DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfProvisionsExplanatory" xlink:label="ifrs-full_DisclosureOfProvisionsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForLeasesExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForLeasesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfDividendsExplanatory" xlink:label="ifrs-full_DisclosureOfDividendsExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfFinanceIncomeExpenseExplanatory" xlink:label="ifrs-full_DisclosureOfFinanceIncomeExpenseExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfIncomeTaxExplanatory" xlink:label="ifrs-full_DisclosureOfIncomeTaxExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnDisposalsOfInvestmentProperties" xlink:label="ifrs-full_GainsLossesOnDisposalsOfInvestmentProperties" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfTradeAndOtherPayablesExplanatory" xlink:label="ifrs-full_DisclosureOfTradeAndOtherPayablesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfChangesInAccountingPoliciesExplanatory" xlink:label="ifrs-full_DisclosureOfChangesInAccountingPoliciesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CountryOfIncorporation" xlink:label="ifrs-full_CountryOfIncorporation" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" xlink:label="ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfCreditRiskExplanatory" xlink:label="ifrs-full_DisclosureOfCreditRiskExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfOtherLiabilitiesExplanatory" xlink:label="ifrs-full_DisclosureOfOtherLiabilitiesExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DisclosureOfGoingConcernExplanatory" xlink:label="ifrs-full_DisclosureOfGoingConcernExplanatory" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NumberOfSharesIssued" xlink:label="ifrs-full_NumberOfSharesIssued" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RentalIncome" order="2" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PropertyServiceChargeIncome" order="3" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PropertyServiceChargeExpense" order="4" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_NetPropertyIncome" order="5" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_PropertyOperatingExpenses" order="6" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_GrossProfit" order="7" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdministrativeExpense" order="8" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_OperatingProfitBeforeLossesGainsOnInvestmentProperties" order="9" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty" order="10" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_GainsLossesOnDisposalsOfInvestmentProperties" order="11" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" order="12" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_FinanceIncome" order="13" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_FinanceCosts" order="14" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" order="15" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProfitLossBeforeTax" order="16" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="17" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_BasicEarningsLossPerShare" order="18" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DilutedEarningsLossPerShare" order="19" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_InvestmentProperty" order="20" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentDerivativeFinancialAssets" order="21" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentAssets" order="22" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" order="23" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashAndCashEquivalents" order="24" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_TradeAndOtherCurrentReceivables" order="25" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentAssets" order="26" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_Assets" order="27" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_LongtermBorrowings" order="28" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentPayables" order="29" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentLeaseLiabilities" order="30" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentLiabilities" order="31" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentDerivativeFinancialLiabilities" order="32" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_TradeAndOtherCurrentPayables" order="33" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentDeferredIncomeOtherThanCurrentContractLiabilities" order="34" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentLeaseLiabilities" order="35" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentLiabilities" order="36" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_Liabilities" order="37" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NetAssetsLiabilities" order="38" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_IssuedCapital" order="39" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_SharePremium" order="40" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RetainedEarnings" order="41" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NumberOfSharesIssued" order="42" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_NetAssetValuePerShareBasicAndDiluted" order="43" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" order="44" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" order="45" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDepreciationExpense" order="46" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="47" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="48" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="49" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" order="50" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PurchaseOfInvestmentProperty" order="51" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" order="52" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" order="53" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities" order="54" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" order="55" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProceedsFromSalesOfInvestmentProperty" order="56" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" order="57" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="58" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="59" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" order="60" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" order="61" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PaymentsForDebtIssueCosts" order="62" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="63" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" order="64" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" order="65" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" order="66" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfNotesAndOtherExplanatoryInformationExplanatory" order="67" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfGoingConcernExplanatory" order="68" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfChangesInAccountingPoliciesExplanatory" order="69" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory" order="70" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" order="71" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CountryOfIncorporation" order="72" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DomicileOfEntity" order="73" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AddressOfRegisteredOfficeOfEntity" order="74" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory" order="75" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_StatementOfIFRSCompliance" order="76" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory" order="77" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory" order="78" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfBasisOfConsolidationExplanatory" order="79" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_DisclosureOfPropertyIncome" order="80" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_DescriptionOfAccountingPolicyForPropertyIncome" order="81" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory" order="82" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForSegmentReportingExplanatory" order="83" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfExpensesExplanatory" order="84" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory" order="85" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForExpensesExplanatory" order="86" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfInformationAboutKeyManagementPersonnelExplanatory" order="87" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfAuditorsRemunerationExplanatory" order="88" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfFinanceIncomeExpenseExplanatory" order="89" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfFinanceCostExplanatory" order="90" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory" order="91" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForFinanceCostsExplanatory" order="92" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfFinanceIncomeExplanatory" order="93" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfIncomeTaxExplanatory" order="94" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory" order="95" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfLeasesExplanatory" order="96" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfDividendsExplanatory" order="97" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForDividendsExplanatory" order="98" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfEarningsPerShareExplanatory" order="99" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfInvestmentPropertyExplanatory" order="100" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForInvestmentPropertyExplanatory" order="101" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory" order="102" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents" order="103" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory" order="104" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory" order="105" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfBorrowingsExplanatory" order="106" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForBorrowingsExplanatory" order="107" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfDerivativeFinancialInstrumentsExplanatory" order="108" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsExplanatory" order="109" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForLeasesExplanatory" order="110" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfOtherLiabilitiesExplanatory" order="111" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfTradeAndOtherPayablesExplanatory" order="112" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfProvisionsExplanatory" order="113" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfDeferredIncomeExplanatory" order="114" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory" order="115" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfIssuedCapitalExplanatory" order="116" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory" order="117" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory" order="118" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfNetAssetValueAttributableToUnitholdersExplanatory" order="119" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfFairValueMeasurementExplanatory" order="120" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfFairValueOfFinancialInstrumentsExplanatory" order="121" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfFinancialRiskManagementExplanatory" order="122" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_DisclosureOfInterestRateRisk" order="123" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfCreditRiskExplanatory" order="124" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfMarketRiskExplanatory" order="125" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfLiquidityRiskExplanatory" order="126" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory" order="127" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfAccountingPolicyForSubsidiariesExplanatory" order="128" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory" order="129" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfRelatedPartyExplanatory" order="130" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="warehousereitplc_DisclosureOfUltimateControllingParty" order="131" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfCashFlowStatementExplanatory" order="132" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory" order="133" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
  </definitionLink>
  <definitionLink xlink:role="http://warehousereitplc.com/xbrl/2022/roles/Anchoring" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" xlink:label="warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:label="warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_NetAssetValuePerShareBasicAndDiluted" xlink:label="warehousereitplc_NetAssetValuePerShareBasicAndDiluted" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:label="ifrs-full_OutflowsOfCashFromInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_PropertyOperatingExpenses" xlink:label="warehousereitplc_PropertyOperatingExpenses" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:label="warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" xlink:label="warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" xlink:label="warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_OperatingExpense" xlink:to="warehousereitplc_PropertyOperatingExpenses" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="warehousereitplc_NetAssetValuePerShareBasicAndDiluted" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:to="warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
  </definitionLink>
  <definitionLink xlink:role="http://warehousereitplc.com/xbrl/2022/roles/StatementOfChangesInEquity" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_StatementOfChangesInEquityAbstract" xlink:label="ifrs-full_StatementOfChangesInEquityAbstract" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremiumMember" xlink:label="ifrs-full_SharePremiumMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityMember" xlink:label="ifrs-full_EquityMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarningsMember" xlink:label="ifrs-full_RetainedEarningsMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_StatementOfChangesInEquityTable" xlink:label="ifrs-full_StatementOfChangesInEquityTable" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaid" xlink:label="ifrs-full_DividendsPaid" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_StatementOfChangesInEquityLineItems" xlink:label="ifrs-full_StatementOfChangesInEquityLineItems" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComponentsOfEquityAxis" xlink:label="ifrs-full_ComponentsOfEquityAxis" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapitalMember" xlink:label="ifrs-full_IssuedCapitalMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityAbstract" xlink:to="ifrs-full_StatementOfChangesInEquityTable" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/all" priority="1" xbrldt:contextElement="scenario" xbrldt:closed="true" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityTable" xlink:to="ifrs-full_ComponentsOfEquityAxis" order="0" xlink:arcrole="http://xbrl.org/int/dim/arcrole/hypercube-dimension" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_ComponentsOfEquityAxis" xlink:to="ifrs-full_EquityMember" order="0" xlink:arcrole="http://xbrl.org/int/dim/arcrole/dimension-domain" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_IssuedCapitalMember" order="0" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_SharePremiumMember" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_RetainedEarningsMember" order="2" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityAbstract" xlink:to="ifrs-full_StatementOfChangesInEquityLineItems" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_Equity" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_ComprehensiveIncome" order="2" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_DividendsPaid" order="3" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
  </definitionLink>
</linkbase>